
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【我的Android进阶之旅】Realm数据库学习资料汇总（持续更新） / iVAN</title>

    <meta name="description" content="【我的Android进阶之旅】Realm数据库学习资料汇总（持续更新） 介绍 realm是一个跨平台移动数据库引擎,支持iOS.OS X(Objective-C和Swift)以及Android. 2014年7月发布.由YCombinator孵化的创业团队历时几年打造,是第一个专门针对移动平台设计的数据库.目标是取代SQLite. 为了彻底解决性能问题,核心数据引擎C++打造,并不是建立在SQLite之上的ORM.如果对数据引擎实现想深入了解可以查看:Realm 核心数据库引擎探秘.因此得到的收益就是比普通的ORM要快很多,甚至比单独无封装的SQLite还要快. 因为">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【我的Android进阶之旅】Realm数据库学习资料汇总（持续更新）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>介绍</h1>
<p>realm是一个跨平台移动数据库引擎，支持iOS、OS X（Objective-C和Swift）以及Android。</p>
<p>2014年7月发布。由YCombinator孵化的创业团队历时几年打造，是第一个专门针对移动平台设计的数据库。目标是取代SQLite。</p>
<p>为了彻底解决性能问题，核心数据引擎C++打造，并不是建立在SQLite之上的ORM。如果对数据引擎实现想深入了解可以查看：Realm 核心数据库引擎探秘。因此得到的收益就是比普通的ORM要快很多，甚至比单独无封装的SQLite还要快。</p>
<p>因为是ORM，本身在设计时也针对移动设备（iOS、Android），所以非常简单易用，学习成本很低。</p>
<h1>碾压级性能</h1>
<p>对于Realm Android的性能也是我们比较关注的一个问题，我也是看到Realm的性能比其他数据库要快，所以才去了解以及学习它。下面从官网的三张图片来了解一下它的性能。</p>
<ul>
<li>插入操作：在同一个事务里，每秒插入100K条记录（越高代表性能越好） <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA5MDkyMDA0MzY2NzE=.jpg"></li>
<li>统计操作：每秒能在100K条数据中进行查询后count的次数（越高代表性能越好） <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA5MDkyMDA0NTE4NDM=.jpg"></li>
<li>查询操作：在100K中进行一次遍历查询（越高代表性能越好） <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA5MDkyMDA0NTg3ODE=.jpg"></li>
</ul>
<p>Realm不是基于SQLite的ORM，它是基于C++ 存储引擎的。所以，它的速度相当来说比较快的，但是目前它也引发了应用的安装包大小问题。（估计目前他们正在优化这个问题） <br />
详细性能内容查看官方的文档： <br /><a href="https://realm.io/news/realm-for-android/#realm-for-android" rel="external nofollow noreferrer">https://realm.io/news/realm-for-android/#realm-for-android</a></p>
<blockquote><p>作者：欧阳鹏 欢迎转载，与人分享是进步的源泉！ <br />
      转载请保留原文地址：<a href="http://blog.csdn.net/ouyang_peng/article/details/52490193" rel="external nofollow noreferrer">http://blog.csdn.net/ouyang_peng/article/details/52490193</a></p></blockquote>
<h1>Realm数据库学习资料</h1>
<ul>
<li><a href="https://realm.io/docs/java/latest/" rel="external nofollow noreferrer">Realm Java 官方文档</a></li>
<li>[Realm Java 官方中文文档]（<a href="https://realm.io/cn/docs/java/latest/" rel="external nofollow noreferrer">https://realm.io/cn/docs/java/latest/</a>）</li>
<li><a href="http://www.jcodecraeer.com/a/anzhuokaifa/androidkaifa/2015/1226/3807.html?utm_source=tuicool&amp;utm_medium=referral" rel="external nofollow noreferrer">Realm for Android快速入门教程</a></li>
<li><a href="http://blog.csdn.net/qibin0506/article/details/49905643" rel="external nofollow noreferrer">在Android加入和使用Realm</a></li>
<li><a href="http://blog.csdn.net/zhanggang740/article/details/52164715" rel="external nofollow noreferrer">Android数据库框架GreenDao&amp;Realm实战分析</a></li>
<li><a href="http://www.jianshu.com/p/8cb639a78975" rel="external nofollow noreferrer">在Android中使用Realm作本地存储</a></li>
<li><a href="http://www.jianshu.com/p/dea5f264fd6f" rel="external nofollow noreferrer">Realm Java的学习、应用、总结</a></li>
<li><a href="http://kboyarshinov.com/android/wrapping-realm-around-rxjava/" rel="external nofollow noreferrer">Wrapping Realm with RxJava</a></li>
<li><a href="https://github.com/realm/realm-java" rel="external nofollow noreferrer">realm-java</a></li>
</ul>
<h1>项目实例</h1>
<ul>
<li><a href="https://github.com/codeestX/GeekNews" rel="external nofollow noreferrer">GeekNews,一款纯粹的阅读App，基于Material Design + MVP + RxJava + Retrofit + Dagger2 + Realm + Glide</a></li>
<li><a href="https://github.com/JackWaiting/GreenDao-Realm" rel="external nofollow noreferrer">Android数据库框架GreenDao&amp;Realm实战分析 Github下载地址</a></li>
<li><a href="https://github.com/kboyarshinov/realm-rxjava-example" rel="external nofollow noreferrer">realm-rxjava-example</a></li>
<li><a href="https://github.com/DroidsOnRoids/ExampleRealmMVP-Android" rel="external nofollow noreferrer">ExampleRealmMVP-Android</a></li>
<li><a href="https://github.com/viraj49/Realm_android-injection-rx-test" rel="external nofollow noreferrer">Realm_android-injection-rx-test</a></li>
</ul>
<hr>
<blockquote><p>作者：欧阳鹏 欢迎转载，与人分享是进步的源泉！ <br />
      转载请保留原文地址：<a href="http://blog.csdn.net/ouyang_peng/article/details/52490193" rel="external nofollow noreferrer">http://blog.csdn.net/ouyang_peng/article/details/52490193</a></p></blockquote>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDgyMDE5MTAwODk=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 00:44:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/sqlite/" title="sqlite">sqlite</a>, <a href="https://www.iamivan.net/tag/rxjava/" title="RxJava">RxJava</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【我的Android进阶之旅】Realm数据库学习资料汇总（持续更新）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP89kmp.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;RxJava学习资料汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在响应式编程中,应该牢记以下两点: everything is a stream(一切皆流) don't break the chain(不要打断链式结构) 记住,可观测序列就像一条河,它们是流动的.你可以&quot;过滤&quot;一条河,你可以&quot;转换&quot;一条河,你可以将两条河合并成一条,然后它依旧是流动的.最后,它将成为你想要的那条河. &quot;Be Water,my friend&quot;  --Bruce Lee(李小龙) -------------------------			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwNJrp.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android权限参考大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				访问登记属性 android.permission.ACCESS_CHECKIN_PROPERTIES ,读取或写入登记check-in数据库属性表的权限 获取错略位置 android.permission.ACCESS_COARSE_LOCATION,通过WiFi或移动基站的方式获取用户错略的经纬度信息,定位精度大概误差在30~1500米 获取精确位置 android.permission.ACCESS_FINE_LOCATION,通过GPS芯片接收卫星的定位信息,定位精度达10米以内 访问定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLm7y8z.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;解决Jackson等第三方转换Json的开发包在开启混淆后转换的实体类数据都是null的bug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.错误描述 今天测试人员提了一个bug,说使用我们的app出现了闪退的bug,后来通过debug断点调试,发现我们的app转换服务器发送过来的json数据后,都是为null.而之前已经提测快一个月的功能,一直都是稳定的,为什么现在会报java.lang.NullPointerException. 2.错误原因 原来我提测了一个月的APP版本一直没有打开混淆开关,而出问题的这个APP版本在即将要发布出去的时候打开了混淆开关.这样的话,我那些要通过转换json数据为bean实体类,因为没有在pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6K5LM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android疯狂连连看游戏的实现之状态数据模型&lpar;三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/bE6K5LM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				对于游戏玩家而言,游戏界面上看到的&quot;元素&quot;千变万化:但是对于游戏开发者而言,游戏界面上的元素在底层都是一些数据,不同数据所绘制的图片有所差异而已.因此建立游戏的状态数据模型是实现游戏逻辑的重要步骤. 1.定义数据模型 连连看的界面是一个NxM的&quot;网格&quot;,每个网格上显示一张图片.而这个网格只需要一个二维数组来定义即可,而每个网格上所显示的图片,对于底层数据模型来说,不同的图片对于着不同的数值即可. 对于上图所示的数据模型,只要让数值为0的网格上不绘制图片,其他数值的网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA73eM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;介绍一款集录制与剪辑为一体的屏幕GIF 动画制作工具 GifCam</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/MqA73eM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				由于上一篇文章:我的Android进阶之旅------&gt;Android之动画之Frame Animation实例 中展示的是Frame动画效果,但是之前我是将图片截取下来,不好说明确切的动画过程,因此今天百度了一下gif动画的制作工具,找到了这款不错的软件GifCam.然后我使用该软件将动画制作成gif动画,然后更新了上一篇文章上传了新制作的gif动画,使博客的说明效果更佳. 该软件的界面如下所示: 该软件的操作步骤如下: 1.拖动 GifCam 标题栏,改变其位置,并调整 GifCam 窗口大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NRx7z.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android疯狂连连看游戏的实现之开发游戏界面&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/p5NRx7z.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				连连看的游戏界面十分简单,大致可以分为两个区域: 游戏主界面区 控制按钮和数据显示区 1.开发界面布局 本程序使用一个RelativeLayout作为整体的界面布局元素,界面布局上面是一个自定义组件,下面是一个水平排列的LinearLayout. 下面是本程序的布局文件:/res/layout/main.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xmlns:android=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7Rjjz.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android疯狂连连看游戏的实现之加载界面图片和实现游戏Activity&lpar;四&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/pn7Rjjz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				正如在&lt;我的Android进阶之旅------&gt;Android疯狂连连看游戏的实现之状态数据模型(三)&gt;一文中看到的,在AbstractBoard的代码中,当程序需要创建N个Piece对象时,程序会直接调用ImageUtil的getPlayImages()方法去获取图片,该方法会随机从res/drawable目录中取得N张图片. 下面是res/drawable目录视图: 为了让getPlayImages()方法能随机从res/drawable目录中取得N张图片,具体实现分为以下几步: 通			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6md3M.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi; Android为TextView组件中显示的文本添加背景色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过上一篇文章 我的Android进阶之旅------&gt; Android在TextView中显示图片方法 (地址:http://blog.csdn.net/ouyang_peng/article/details/46916963)      我们学会了在TextView中显示图片的方法,现在我们来学习如何为TextView组件中显示的文本添加背景色.要求完成的样子如图所示: 首先来学习使用BackgroundColorSpan对象设置文字背景色,代码如下: TextView textView=(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y97gM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;HTTP 返回状态值详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(本文转载于:http://blog.csdn.net/ithomer/article/details/10240351) 当用户点击或搜索引擎向网站服务器发出浏览请求时,服务器将返回Http Header Http头信息状态码,常见几种如下: 1.Http/1.1 200 OK 访问正常   表示成功访问,为网站可正常访问时的状态. 2.Http/1.1 301 Moved Permanently 301重定向永久重定向   对搜索引擎相对友好的跳转方式,当网站更换域名时可将原域名作301永久			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7ZKqp.html" rel="bookmark" class="title">Photoshop给外景人物照片调出时尚的淡调蓝紫色</a>
					<div>
						蓝紫色是种比较时尚的颜色组合.调色方法也较为简单,处理的时候分层次来铺色.先用调色工具调出紫色的基调,然后慢慢把蓝色加进去即可. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开原图素材,创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyaJlM.html" rel="bookmark" class="title">验证码的实现</a>
					<div>
						验证码 &lt;?php /****************************************** 认证码图片生成文件 Programmed by SurfChen,http://yub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9GAXz.html" rel="bookmark" class="title">PHP中for循环语句的几种变型</a>
					<div>
						循环|语句 for语句可以说是PHP(同时也是多种语言)的循环控制部份最基本的一个语句了,for语句的执行规律和基础用法在这里就不多说,可以参见PHP手册for语句部分.PHP手册中对它的语法定义如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlogqb.html" rel="bookmark" class="title">繁体中文转换为简体中文的PHP类</a>
					<div>
						中文|转换 &lt;?/***********************************************************************                  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8q9Nz.html" rel="bookmark" class="title">一次编程实践&lbrack;ASP&plus;MSSQL&rsqb;</a>
					<div>
						asp+|编程 本人工作单位是一家橡塑产品制造企业,05年2月单位领导要求我开发一个生产流程数据核对表,用来稽核流程数据的准确性,其报表基本原理如下: 后续工序今日正品数 + 后续工序今日废品数 =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ol9p.html" rel="bookmark" class="title">Exchange 2003安全用筛选器反垃圾邮件</a>
					<div>
						随着电子邮箱的普及,为了使用户更好的利用邮箱资源,一大关键问题就是如何处理多如牛毛的垃圾邮件. 所谓垃圾邮件就是非用户意愿所产生的邮件.它不仅影响用户的正常查阅.更对服务器造成重大危害,主要表现在增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7240M.html" rel="bookmark" class="title">Asp&period;net中使用Reponse&period;Filter实现多语言功能</a>
					<div>
						对于有跨国业务的web系统来说,一般都需要提供多语言功能.然而在众多多语言方案里,如.net自带的Resource方式,都会在程序开发时增加程序员的额外负担,不易开发: 1.各种不同的地方实现多语言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKg9vp.html" rel="bookmark" class="title">阿里交互设计师总结的6个新人进阶方法</a>
					<div>
						  这是阿里交互实习生半木对他两个月份实习做的一个总结,以指导后续的项目工作,主要内容为协作方式与职业素养方面的沉淀.都是书本上没有的实战经验,非常适合没有经验的交互新人进阶学习. 作为职场新人,第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYmaKb.html" rel="bookmark" class="title">力高答题普法网知识大赛时间及参赛报名流程</a>
					<div>
						  力高答题客户端是教育部全国青少年普法网推出的官方答题软件.通过力高答题竞赛,提高广大青少年学生和教育工作者的法治观念,激发青少年学生学习法治知识的积极性.主动性,丰富青少年法治教育的内容与形式,倡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oOY3b.html" rel="bookmark" class="title">AndroidUI组件SlidingTabLayout实现ViewPager页滑动效果&lowbar;Android</a>
					<div>
						使用SlidingTabLayout需要准备2个类,分别是 SlidingTabLayout,与SlidingTabStrip,,放进项目中时只用修改下包名即可. 效果制作的不是很好. 这篇文章,也是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lB95b.html" rel="bookmark" class="title">onclick-android 在onClick中如何使用局部变量</a>
					<div>
						问题描述 android 在onClick中如何使用局部变量 Variable groupPosition is accessed from within inner classneeds to be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkK6wb.html" rel="bookmark" class="title">震撼人心的音响器材，灯光类网站模板抢啦！</a>
					<div>
						震撼人心的音响器材,灯光类网站模板,抢啦! 超多超漂亮,大气又实用,还有可视化管理编辑后台,上百种功能管理模块,吐血分享! 免费试用http://www.aliyun.com/zixun/aggreg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PkYBp.html" rel="bookmark" class="title">首都网络安全日直击 永信至诚&OpenCurlyDoubleQuote;信息安全加油站&rdquo;人气爆棚</a>
					<div>
						4月28日,以&quot;网络安全同担,网络生活共享&quot;为主题的&quot;4.29首都网络安全日&quot;在北京展览馆正式拉开帷幕,作为社会各界人士密切关注的网络安全盛事,本届展会一开始就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrRwKM.html" rel="bookmark" class="title">浏览器的工作原理：新式网络浏览器幕后揭秘</a>
					<div>
						英文原文地址:http://blog.csdn.net/wdzxl198/article/details/8992280:http://taligarsiel.com/Projects/howbrow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE62wJM.html" rel="bookmark" class="title">笔记：Advanced Installer 打包Web应用</a>
					<div>
						原文:笔记:Advanced Installer 打包Web应用 公司要做一款增值税小产品,区别于ACME,本产品核心只有销项部分,面对的客户群是小企业,单税盒单开票机..... 我要做的主要有以下几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPqRAp.html" rel="bookmark" class="title">分区表不建议创建主键的原因</a>
					<div>
						分区表尽量不要建主键,因为建主键的同时会建一个唯一性的全局索引,在drop分区表时如果不指定update global indexes则 会使索引失效,导致数据无法入库. 如果非要建主键,要2种方法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6J1Vb.html" rel="bookmark" class="title">类的继承，如果子类申明的方法字段属性名字与父类相同的话。</a>
					<div>
						问题描述 namespaceConsoleApplication1{publicclassBaseA {publicintx=1;publicvoidInvoke(){//空的}}publicclas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd3P8b.html" rel="bookmark" class="title">nginx&plus;lua&plus;redis构建高并发应用（转）</a>
					<div>
						nginx+lua+redis构建高并发应用 ngx_lua将lua嵌入到nginx,让nginx执行lua脚本,高并发,非阻塞的处理各种请求. url请求nginx服务器,然后lua查询redis, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4qDAz.html" rel="bookmark" class="title">&period;Net魔法堂：史上最全的ActiveX开发教程&mdash;&mdash;发布篇</a>
					<div>
						一. 前言    接着上一篇&lt;.Net魔法堂:史上最全的ActiveX开发教程--开发篇&gt;,本篇讲述如何发布我们的ActiveX.   二.废话少讲,马上看步骤!    1. 打包  C# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmP0xM.html" rel="bookmark" class="title">如何动态添加滚动图片就是在后台添加一张图片时可以在首页相册中显示所有相册中所有图片的最新的前几张</a>
					<div>
						问题描述 &lt;SCRIPTlanguage=javascript&gt;//welcometowww.7stk.comvarcurrslid=0;varslidint;functionsetfoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRBrmb.html" rel="bookmark" class="title">c&plus;&plus;-有谁有C&plus;&plus;的代码实现连续从文件夹里读入BMP图像，在处理之后能够自动保存到指定文件夹的代码吗？急求</a>
					<div>
						问题描述 有谁有C++的代码实现连续从文件夹里读入BMP图像,在处理之后能够自动保存到指定文件夹的代码吗?急求 有谁有C++的代码实现连续从文件夹里读入BMP图像,在处理之后能够自动保存到指定文件夹的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodRrXM.html" rel="bookmark" class="title">linux定时任务-Linux定时任务问题，设置了一个定时任务，但是却同时执行了3次，请问时怎么回事？怎么修改？</a>
					<div>
						问题描述 Linux定时任务问题,设置了一个定时任务,但是却同时执行了3次,请问时怎么回事?怎么修改? 配置的定时任务: 定时任务执行了3次: 为什么定时任务同时执行了3遍,怎么解决此问题? 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNL53M.html" rel="bookmark" class="title">宁波联合子公司</a>
					<div>
						网易财经11月26日讯 宁波联合周五晚间发布公告称,公司					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwoX6M.html" rel="bookmark" class="title">求一个解析msj文件的例子</a>
					<div>
						问题描述 公司要求解析msj文件,网上资源太少,没有头绪,跪求做过的前辈给个例子					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkVJAM.html" rel="bookmark" class="title">请教一个网络问题</a>
					<div>
						问题描述 有2个网段的服务器,一个是172.20.20.X/24,另一个是192.168.10.X/24,能不能使用一台2层交换机将它们连接起来,希望达到的目的:1.在同一网络中手工设定172或192 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWQyGM.html" rel="bookmark" class="title">《R语言游戏数据分析与挖掘》一1&period;3　数据分析师的能力要求</a>
					<div>
						1.3 数据分析师的能力要求 因为在数据化运营中,数据分析师要深入业务背景,倾听和发现业务需求,走到业务第一线,与业务团队并肩作战,所以要求数据分析师具备很强的组织协调能力,具有项目大局观,懂得在不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Qd8p.html" rel="bookmark" class="title">《CCNA无线640-722认证考试指南》&mdash;&mdash;9&period;2节分布式架构</a>
					<div>
						9.2 分布式架构 CCNA无线640-722认证考试指南 基本主题 9.2 分布式架构 自主式AP是一种功能齐全的设备,每个自主式AP都能提供一个或多个全功能的单机BSS(Basic Service ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOej2b.html" rel="bookmark" class="title">mysql优化配置之max&lowbar;allowed&lowbar;packet设置</a>
					<div>
						有时候大的插入和更新会被max_allowed_packet 参数限制掉,导致失败. 该值设置过小将导致单个记录超过限制后写入数据库失败,且后续记录写入也将失败. mysql where 中的in 中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY1NAb.html" rel="bookmark" class="title">数据中心逃离北京雾都</a>
					<div>
						北京是我国的首都,是政治.经济.文化中心,同时也有&quot;首堵&quot;,&quot;水都&quot;,&quot;雾都&quot;之称,之所以有这么多代名词,是因为北京这个地方太受人关注了,各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr26KxM.html" rel="bookmark" class="title">pdf-struts2中itextrender导出PDF的问题</a>
					<div>
						问题描述 struts2中itextrender导出PDF的问题 itextrender在执行createPDF()方法的时候报错,错误是getOutputStream() has already b ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
